Legacy CDR Consent Flow APIs
Deprecated APIs to support CDR consent flow prior to 2026
If you onboarded to CDR Prior to 2026 you may have used different APIs to support the consent flow. You can continue to use these APIs to support the consent flow. If you want to migrate to the new Fiskil Consent Flow APIs let us know and we can work through the migration with you.
If you need to refer back to the legacy CDR consent flow APIs they are documented below:
Customer Search
The customer search API structure is the same as described in the API Reference however the endpoint was POST /v1/common/customer/search
$ curl --data '{"email": "hello@example.com"}' https://api.acme-corp.com.au/v1/common/customer/search
{
"data": [
{
"id": "customerid",
"name": "givenName familyName",
"phoneNumber": "+6141234567890"
}
]
}Account Selection
Account selection used the relevant "Get All Accounts" API for your industry.
- For energy --
/v1/energy/customer/{customerId}/accounts - For banking --
/v1/banking/customer/{customerId}/accounts
Customer Identity
Customer Identity data was fetched using the CDR Customer Details API